import { NextFunction, Request, Response } from "express";

const authenticated = () => (
  req: Request,
  res: Response,
  next: NextFunction
) => {
  if (req.session!.user) {
    if (req.session!.user.isRegistered) next();
    else {
      res.status(401);
      res.json({ message: "You have to register to see this page!" });
    }
  } else {
    res.status(401);
    res.json({ message: "You have to login to see this page!" });
  }
};

export default authenticated;
